aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/gce_setup
diff options
context:
space:
mode:
authorGravatar yang-g <yangg@google.com>2015-09-02 14:33:15 -0700
committerGravatar yang-g <yangg@google.com>2015-09-02 14:33:15 -0700
commit867d0c132c6d033ff4af33e7657698d6a31887f7 (patch)
tree8a17b5f39c399016654a333bc1c8c58935156c7b /tools/gce_setup
parent750ada957407ab39d42d3ac028e9e43f08cb2b99 (diff)
Fix auth tests
Diffstat (limited to 'tools/gce_setup')
-rwxr-xr-xtools/gce_setup/grpc_docker.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/tools/gce_setup/grpc_docker.sh b/tools/gce_setup/grpc_docker.sh
index ea7c798f40..3c996fc2fd 100755
--- a/tools/gce_setup/grpc_docker.sh
+++ b/tools/gce_setup/grpc_docker.sh
@@ -530,7 +530,20 @@ grpc_cloud_prod_auth_test_args() {
[[ -n $1 ]] && { # client_type
case $1 in
- cxx|go|java|node|php|python|ruby|csharp_mono)
+ go|java|node|php|python|ruby|csharp_mono)
+ grpc_client_platform='Docker'
+ grpc_gen_test_cmd+="_gen_$1_cmd"
+ declare -F $grpc_gen_test_cmd >> /dev/null || {
+ echo "-f: test_func for $1 => $grpc_gen_test_cmd is not defined" 1>&2
+ return 2
+ }
+ shift
+ ;;
+ cxx)
+ if [ "$test_case" == "oauth2_auth_token" ]
+ then
+ test_command="compute_engine_creds"
+ fi
grpc_client_platform='Docker'
grpc_gen_test_cmd+="_gen_$1_cmd"
declare -F $grpc_gen_test_cmd >> /dev/null || {